#ifndef _Handle_PBRep_PolygonOnClosedSurface_HeaderFile
#define _Handle_PBRep_PolygonOnClosedSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_PolygonOnSurface_HeaderFile
#include <Handle_PBRep_PolygonOnSurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_PolygonOnSurface);
class PBRep_PolygonOnClosedSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_PolygonOnClosedSurface);

class Handle(PBRep_PolygonOnClosedSurface) : public Handle(PBRep_PolygonOnSurface) {
  public:

    Handle(PBRep_PolygonOnClosedSurface)():Handle(PBRep_PolygonOnSurface)() {} 
    Handle(PBRep_PolygonOnClosedSurface)(const Handle(PBRep_PolygonOnClosedSurface)& aHandle) : Handle(PBRep_PolygonOnSurface)(aHandle) 
     {
     }

    Handle(PBRep_PolygonOnClosedSurface)(const PBRep_PolygonOnClosedSurface* anItem) : Handle(PBRep_PolygonOnSurface)((PBRep_PolygonOnSurface *)anItem) 
     {
     }

    Handle(PBRep_PolygonOnClosedSurface)& operator=(const Handle(PBRep_PolygonOnClosedSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_PolygonOnClosedSurface)& operator=(const PBRep_PolygonOnClosedSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_PolygonOnClosedSurface* operator->() const 
     {
      return (PBRep_PolygonOnClosedSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_PolygonOnClosedSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
